Skip to content
POST/statuses

Create a status

Create a new post status

Request body

FieldTypeDescription
namerequiredstringStatus name
slugrequiredstringURL-friendly slug
colorrequiredstringStatus color
categoryrequired"active" | "complete" | "closed"Status category
positionintegerDisplay order within category
showOnRoadmapbooleanShow on public roadmap
isDefaultbooleanSet as default for new posts

Response

Status created

FieldTypeDescription
idrequiredstringTypeID - a type-prefixed UUID
namerequiredstring
slugrequiredstringURL-friendly identifier
colorrequiredstringHex color code
categoryrequired"active" | "complete" | "closed"Status category
positionrequirednumberDisplay order within category
showOnRoadmaprequiredbooleanWhether to show on public roadmap
isDefaultrequiredbooleanWhether this is the default status for new posts
createdAtrequiredstringISO 8601 timestamp

Errors

400Validation error
401Unauthorized

Example request

curl \
  -X POST \
  "https://feedback.quackback.io/api/v1/statuses" \
  -H "Authorization: Bearer qb_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "In Progress",
  "slug": "in_progress",
  "color": "#f97316",
  "category": "example_category",
  "position": 0,
  "showOnRoadmap": false,
  "isDefault": false
}'